Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::In_Var_Array_SArgument_T< S, S_forany > Class Template Reference

IN skeleton argument of variable size element array. More...

`#include <Var_Array_SArgument_T.h>`

Inheritance diagram for TAO::In_Var_Array_SArgument_T< S, S_forany >:

[legend]
Collaboration diagram for TAO::In_Var_Array_SArgument_T< S, S_forany >:

[legend]
List of all members.

## Public Methods

| In_Var_Array_SArgument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
const S & | arg (void) const

## Private Attributes

S | x_

## Detailed Description

### template<typename S, typename S_forany>
class TAO::In_Var_Array_SArgument_T< S, S_forany >

IN skeleton argument of variable size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_forany>
ACE_INLINE TAO::In_Var_Array_SArgument_T< S, S_forany >::In_Var_Array_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_forany>
ACE_INLINE const S & TAO::In_Var_Array_SArgument_T< S, S_forany >::arg | ( | void |  | ) | const

template<typename S, typename S_forany>
CORBA::Boolean TAO::In_Var_Array_SArgument_T< S, S_forany >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_forany>
void TAO::In_Var_Array_SArgument_T< S, S_forany >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_forany>
S TAO::In_Var_Array_SArgument_T< S, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Array_SArgument_T.h
- Var_Array_SArgument_T.cpp
- Var_Array_SArgument_T.inl